<?php
/**
 * Banner Section
 *
 * @package Frontier News
 */

$wp_customize->add_section(
	'frontier_news_banner_section',
	array(
		'panel' => 'frontier_news_front_page_options',
		'title' => esc_html__( 'Banner Section', 'frontier-news' ),
	)
);

// Banner Section - Enable Section.
$wp_customize->add_setting(
	'frontier_news_enable_banner_section',
	array(
		'default'           => false,
		'sanitize_callback' => 'frontier_news_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Frontier_News_Toggle_Switch_Custom_Control(
		$wp_customize,
		'frontier_news_enable_banner_section',
		array(
			'label'    => esc_html__( 'Enable Banner Section', 'frontier-news' ),
			'section'  => 'frontier_news_banner_section',
			'settings' => 'frontier_news_enable_banner_section',
		)
	)
);

if ( isset( $wp_customize->selective_refresh ) ) {
	$wp_customize->selective_refresh->add_partial(
		'frontier_news_enable_banner_section',
		array(
			'selector' => '#frontier_news_banner_section .section-link',
			'settings' => 'frontier_news_enable_banner_section',
		)
	);
}

// Banner Section - Section Title.
$wp_customize->add_setting(
	'frontier_news_banner_news_title',
	array(
		'default'           => __( 'Banner News', 'frontier-news' ),
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	'frontier_news_banner_news_title',
	array(
		'label'           => esc_html__( 'Banner Section Title', 'frontier-news' ),
		'section'         => 'frontier_news_banner_section',
		'settings'        => 'frontier_news_banner_news_title',
		'type'            => 'text',
		'active_callback' => 'frontier_news_is_banner_posts_section_enabled',
	)
);

// Banner Section - Banner Content Type.
$wp_customize->add_setting(
	'frontier_news_banner_posts_content_type',
	array(
		'default'           => 'post',
		'sanitize_callback' => 'frontier_news_sanitize_select',
	)
);

$wp_customize->add_control(
	'frontier_news_banner_posts_content_type',
	array(
		'label'           => esc_html__( 'Select Content Type', 'frontier-news' ),
		'section'         => 'frontier_news_banner_section',
		'settings'        => 'frontier_news_banner_posts_content_type',
		'type'            => 'select',
		'active_callback' => 'frontier_news_is_banner_posts_section_enabled',
		'choices'         => array(
			'post'     => esc_html__( 'Post', 'frontier-news' ),
			'category' => esc_html__( 'Category', 'frontier-news' ),
		),
	)
);

for ( $i = 1; $i <= 6; $i++ ) {
	// Banner Section - Select Post.
	$wp_customize->add_setting(
		'frontier_news_banner_posts_content_post_' . $i,
		array(
			'sanitize_callback' => 'absint',
		)
	);

	$wp_customize->add_control(
		'frontier_news_banner_posts_content_post_' . $i,
		array(
			'label'           => sprintf( esc_html__( 'Select Post %d', 'frontier-news' ), $i ),
			'section'         => 'frontier_news_banner_section',
			'settings'        => 'frontier_news_banner_posts_content_post_' . $i,
			'active_callback' => 'frontier_news_is_banner_posts_section_and_content_type_post_enabled',
			'type'            => 'select',
			'choices'         => frontier_news_get_post_choices(),
		)
	);

}

// Banner Section - Select Category.
$wp_customize->add_setting(
	'frontier_news_banner_posts_content_category',
	array(
		'sanitize_callback' => 'frontier_news_sanitize_select',
	)
);

$wp_customize->add_control(
	'frontier_news_banner_posts_content_category',
	array(
		'label'           => esc_html__( 'Select Category', 'frontier-news' ),
		'section'         => 'frontier_news_banner_section',
		'settings'        => 'frontier_news_banner_posts_content_category',
		'active_callback' => 'frontier_news_is_banner_posts_section_and_content_type_category_enabled',
		'type'            => 'select',
		'choices'         => frontier_news_get_post_cat_choices(),
	)
);

// Banner Section - Button Label.
$wp_customize->add_setting(
	'frontier_news_banner_posts_button_label',
	array(
		'default'           => __( 'View All', 'frontier-news' ),
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	'frontier_news_banner_posts_button_label',
	array(
		'label'           => esc_html__( 'Button Label', 'frontier-news' ),
		'section'         => 'frontier_news_banner_section',
		'settings'        => 'frontier_news_banner_posts_button_label',
		'type'            => 'text',
		'active_callback' => 'frontier_news_is_banner_posts_section_enabled',
	)
);

// Banner Section - Button Link.
$wp_customize->add_setting(
	'frontier_news_banner_posts_button_link',
	array(
		'default'           => '',
		'sanitize_callback' => 'esc_url_raw',
	)
);

$wp_customize->add_control(
	'frontier_news_banner_posts_button_link',
	array(
		'label'           => esc_html__( 'Button Link', 'frontier-news' ),
		'section'         => 'frontier_news_banner_section',
		'settings'        => 'frontier_news_banner_posts_button_link',
		'type'            => 'url',
		'active_callback' => 'frontier_news_is_banner_posts_section_enabled',
	)
);


// Banner Section - Horizontal Line.
$wp_customize->add_setting(
	'frontier_news_banner_posts_horizontal_line',
	array(
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	new Frontier_News_Customize_Horizontal_Line(
		$wp_customize,
		'frontier_news_banner_posts_horizontal_line',
		array(
			'section'         => 'frontier_news_banner_section',
			'settings'        => 'frontier_news_banner_posts_horizontal_line',
			'active_callback' => 'frontier_news_is_banner_posts_section_enabled',
			'type'            => 'hr',
		)
	)
);

// Banner Section - Editor Pick Title.
$wp_customize->add_setting(
	'frontier_news_editor_picks_title',
	array(
		'default'           => __( 'Editor\'s Picks', 'frontier-news' ),
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	'frontier_news_editor_picks_title',
	array(
		'label'           => esc_html__( 'Banner Editors Picks\'s Title', 'frontier-news' ),
		'section'         => 'frontier_news_banner_section',
		'settings'        => 'frontier_news_editor_picks_title',
		'type'            => 'text',
		'active_callback' => 'frontier_news_is_banner_posts_section_enabled',
	)
);

// Banner Section - Editor Pick Content Type.
$wp_customize->add_setting(
	'frontier_news_editor_picks_content_type',
	array(
		'default'           => 'post',
		'sanitize_callback' => 'frontier_news_sanitize_select',
	)
);

$wp_customize->add_control(
	'frontier_news_editor_picks_content_type',
	array(
		'label'           => esc_html__( 'Select Content Type', 'frontier-news' ),
		'section'         => 'frontier_news_banner_section',
		'settings'        => 'frontier_news_editor_picks_content_type',
		'type'            => 'select',
		'active_callback' => 'frontier_news_is_banner_posts_section_enabled',
		'choices'         => array(
			'post'     => esc_html__( 'Post', 'frontier-news' ),
			'category' => esc_html__( 'Category', 'frontier-news' ),
		),
	)
);

for ( $i = 1; $i <= 4; $i++ ) {
	// Banner Section - Editor Picks Select Post.
	$wp_customize->add_setting(
		'frontier_news_editor_picks_content_post_' . $i,
		array(
			'sanitize_callback' => 'absint',
		)
	);

	$wp_customize->add_control(
		'frontier_news_editor_picks_content_post_' . $i,
		array(
			'label'           => sprintf( esc_html__( 'Select Post %d', 'frontier-news' ), $i ),
			'section'         => 'frontier_news_banner_section',
			'settings'        => 'frontier_news_editor_picks_content_post_' . $i,
			'active_callback' => 'frontier_news_is_editor_picks_section_and_content_type_post_enabled',
			'type'            => 'select',
			'choices'         => frontier_news_get_post_choices(),
		)
	);

}

// Banner Section - Editor picks Select Category.
$wp_customize->add_setting(
	'frontier_news_editor_picks_content_category',
	array(
		'sanitize_callback' => 'frontier_news_sanitize_select',
	)
);

$wp_customize->add_control(
	'frontier_news_editor_picks_content_category',
	array(
		'label'           => esc_html__( 'Select Category', 'frontier-news' ),
		'section'         => 'frontier_news_banner_section',
		'settings'        => 'frontier_news_editor_picks_content_category',
		'active_callback' => 'frontier_news_is_editor_picks_section_and_content_type_category_enabled',
		'type'            => 'select',
		'choices'         => frontier_news_get_post_cat_choices(),
	)
);

// Banner Section - Horizontal Line.
$wp_customize->add_setting(
	'frontier_news_editor_picks_horizontal_line',
	array(
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	new Frontier_News_Customize_Horizontal_Line(
		$wp_customize,
		'frontier_news_editor_picks_horizontal_line',
		array(
			'section'         => 'frontier_news_banner_section',
			'settings'        => 'frontier_news_editor_picks_horizontal_line',
			'active_callback' => 'frontier_news_is_banner_posts_section_enabled',
			'type'            => 'hr',
		)
	)
);

// Banner Section - Advertisement Area.
$wp_customize->add_setting(
	'frontier_news_banner_advertisement_area',
	array(
		'default'           => '',
		'sanitize_callback' => 'frontier_news_sanitize_image',
	)
);

$wp_customize->add_control(
	new WP_Customize_Image_Control(
		$wp_customize,
		'frontier_news_banner_advertisement_area',
		array(
			'label'           => esc_html__( 'Advertisement Area', 'frontier-news' ),
			'section'         => 'frontier_news_banner_section',
			'settings'        => 'frontier_news_banner_advertisement_area',
			'active_callback' => 'frontier_news_is_banner_posts_section_enabled',
		)
	)
);

// Banner Section - Advertisement Link.
$wp_customize->add_setting(
	'frontier_news_banner_advertisement_link',
	array(
		'default'           => '',
		'sanitize_callback' => 'esc_url_raw',
	)
);

$wp_customize->add_control(
	'frontier_news_banner_advertisement_link',
	array(
		'label'           => esc_html__( 'Advertisement Link', 'frontier-news' ),
		'section'         => 'frontier_news_banner_section',
		'settings'        => 'frontier_news_banner_advertisement_link',
		'type'            => 'url',
		'active_callback' => 'frontier_news_is_banner_posts_section_enabled',
	)
);
